Call Connection - Move Participants
Move a participant to the call.
POST {endpoint}/calling/callConnections/{callConnectionId}/participants:moveHere?api-version=2026-03-12
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
call
|
path | True |
string |
The call connection Id |
|
endpoint
|
path | True |
string (url) |
The endpoint of the Azure Communication Service resource. |
|
api-version
|
query | True |
string |
Version of the API to invoke. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
An Azure Communication Services user access token. |
| Repeatability-Request-ID |
string (uuid) |
If specified, the client directs that the request is repeatable; that is, that the client can make the request multiple times with the same Repeatability-Request-Id and get back an appropriate response without the server executing the request multiple times. The value of the Repeatability-Request-Id is an opaque string representing a client-generated unique identifier for the request. It is a version 4 (random) UUID. |
|
| Repeatability-First-Sent |
string (date-time-rfc1123) |
If Repeatability-Request-ID header is specified, then Repeatability-First-Sent header must also be specified. The value should be the date and time at which the request was first created, expressed using the IMF-fixdate form of HTTP-date. Example: Sun, 06 Nov 1994 08:49:37 GMT. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| fromCall | True |
string |
The CallConnectionId for the call you want to move the participant from |
| targetParticipants | True |
Communication |
The participant to Move. |
| operationCallbackUri |
string |
Set a callback URI that overrides the default callback URI set by CreateCall/AnswerCall for this operation. This setup is per-action. If this is not set, the default callback URI set by CreateCall/AnswerCall will be used. |
|
| operationContext |
string |
Used by customers when calling mid-call actions to correlate the request to the response event. |
Responses
| Name | Type | Description |
|---|---|---|
| 202 Accepted |
The service has accepted the move participant request and will begin processing it. You will receive either MoveParticipantSucceeded or MoveParticipantFailed event at your specified callback URI to update you on the status of the request. |
|
| Other Status Codes |
Communication |
Error |
Security
Authorization
An Azure Communication Services user access token.
Type:
apiKey
In:
header
Examples
CallConnection_MoveParticipants
Sample request
POST https://contoso.communications.azure.com/calling/callConnections/18dea47f-b081-4107-9a5c-4300819d2c6c/participants:moveHere?api-version=2026-03-12
{
"targetParticipants": [
{
"kind": "communicationUser",
"communicationUser": {
"id": "8:acs:b9614373-fd0b-480c-8fd2-cb58b70eab9f_ae9e3307-f56e-44be-8934-80a63f080538"
}
}
],
"operationContext": "moveing participant",
"operationCallbackUri": "https://app.contoso.com/callback",
"fromCall": "28dea47f-b081-4107-9a5c-4300819d2c6c"
}
Sample response
{
"operationContext": "moveing participant",
"participants": [
{
"identifier": {
"kind": "communicationUser",
"communicationUser": {
"id": "8:acs:b9614373-fd0b-480c-8fd2-cb58b70eab9f_ae9e3307-f56e-44be-8934-80a63f080538"
}
},
"isMuted": false
}
],
"fromCall": "28dea47f-b081-4107-9a5c-4300819d2c6c"
}
Definitions
| Name | Description |
|---|---|
|
Call |
A call participant. |
|
Move |
The request payload for moving participant to the call. |
|
Move |
The response payload for moving participants to the call. |
CallParticipant
A call participant.
| Name | Type | Description |
|---|---|---|
| identifier |
Communication |
|
| isMuted |
boolean |
Is participant muted |
| isOnHold |
boolean |
Is participant on hold. |
MoveParticipantsRequest
The request payload for moving participant to the call.
| Name | Type | Description |
|---|---|---|
| fromCall |
string |
The CallConnectionId for the call you want to move the participant from |
| operationCallbackUri |
string |
Set a callback URI that overrides the default callback URI set by CreateCall/AnswerCall for this operation. This setup is per-action. If this is not set, the default callback URI set by CreateCall/AnswerCall will be used. |
| operationContext |
string |
Used by customers when calling mid-call actions to correlate the request to the response event. |
| targetParticipants |
Communication |
The participant to Move. |
MoveParticipantsResponse
The response payload for moving participants to the call.
| Name | Type | Description |
|---|---|---|
| fromCall |
string |
The CallConnectionId for the call you want to move the participant from |
| operationContext |
string |
The operation context provided by client. |
| participants |
List of current participants in the call. |